Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Syndicator

All Superinterfaces:
  Document, Item, Localized, WCMApiObject

    public interface Syndicator

extends Document

Represents a WCM Syndicator. This interface allows users to enable, disable, update and monitoring a Syndicator. A Syndicator is retrieved from the `SyndcationService`.

Method Summary
`DocumentLibrary[]` | `getLibraries(Workspace workspace)` Returns an array of document libraries which are currently being syndicated by this `Syndicator`.
`java.lang.String` | `getName()` Returns the name of this syndicator.
`DocumentIdIterator` | `getPendingItems()` Retrieves the items that are pending syndication for this `Syndicator`.
`SyndicationStatus` | `getStatus()` Returns the `SyndicationStatus` of this `Syndicator`.
`boolean` | `isEnabled()` Returns `true` if this `Syndicator` is enabled, `false` if not.
`boolean` | `rebuild()` Trigger a full rebuild of the `Syndicator`.
`void` | `setEnabled(boolean enabled, Workspace workspace)` Set `true`to enable this `Syndicator`.``
`boolean` | `update()` Trigger an update of the `Syndicator`.

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getStatus

    SyndicationStatus getStatus()

  Returns the `SyndicationStatus` of this `Syndicator`.

  Returns:
    `SyndicationStatus` of this `Syndicator`
  Since:
    6.1

### getLibraries

    DocumentLibrary[] getLibraries(Workspace workspace)

  Returns an array of document libraries which are currently being syndicated by this `Syndicator`.

  Parameters:
    `workspace` - the workspace of the current user calling this method
  Returns:
    array of document libraries that are currently being syndicated
  Since:
    6.1

### setEnabled

    void setEnabled(boolean enabled,
                    Workspace workspace)

  Set `true`to enable this `Syndicator`. Otherwise `false` to disable this `Syndicator`. An enabled syndicator can trigger syndication events such as updates and rebuilds. Trying to send a update to a disabled syndicator will throw a `SyndicationNotEnabledException`.

  ``
  Parameters:
    `enabled` - `true` to enable this `Syndicator`
    `workspace` - the `workspace` of the current user setting this flag.
  Since:
    6.1

### isEnabled

    boolean isEnabled()

  Returns `true` if this `Syndicator` is enabled, `false` if not.

  Returns:
    `true` if this `Syndicator` is enabled, `false` if not.
  Since:
    6.1

### getName

    java.lang.String getName()

  Returns the name of this syndicator.

  Specified by:
    `getName` in interface `Item`
  Specified by:
    `getName` in interface `WCMApiObject`
  Returns:
    the name of the current syndicator
  Since:
    6.1

### rebuild

    boolean rebuild()
                    throws SyndicationNotEnabledException,
                           SyndicationDeploymentException

  Trigger a full rebuild of the `Syndicator`. This will effectively send through all the items in the selected syndication libraries.

  Returns:
    `true` if the rebuild command was sent successfully and queued for syndication. This means that the request was made successfully, and there is no existing or outstanding updates for the current syndication pair. `false` if rebuild command failed. This will be because there is an existing or outstanding update on the current syndication/subscriber pair.
  Throws:
    `SyndicationNotEnabledException` - if the Subcriber/Syndicator isn't enabled
    `SyndicationDeploymentException` - if the Syndicator or Subscriber couldn't send the rebuild request
  Since:
    6.1

### update

    boolean update()
                   throws SyndicationNotEnabledException,
                          SyndicationDeploymentException

  Trigger an update of the `Syndicator`. This will send only the updates which have happened between now and the last syndication run.

  Returns:
    `true` if the update command was sent successfully queued for syndication. This means that the request was made successfully, and there is no existing or outstanding updates for the current syndication pair. `false` if update command failed because there is an existing or outstanding update on the current syndication/subscriber pair.
  Throws:
    `SyndicationNotEnabledException` - if the Subcriber/Syndicator isn't enabled
    `SyndicationDeploymentException` - if the Syndicator or Subscriber couldn't send the update request to the other machine
  Since:
    6.1

### getPendingItems

    DocumentIdIterator getPendingItems()

  Retrieves the items that are pending syndication for this `Syndicator`.

  This will be the items that have been updated since the last syndication run.

  Returns:
    `DocumentIdIterator` of the pending documents yet to be Syndicated for this `Syndicator`
  Throws:
    `SyndicationRuntimeException` - if there is an error retrieving the pending items for this Syndicator.
  Since:
    8.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD